package com.neusoft.smart.pos.trade.persistent.mapper;

import com.neusoft.smart.pos.trade.persistent.domain.TradeMchInfo;
import com.neusoft.smart.pos.trade.persistent.domain.TradeMchInfoExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TradeMchInfoMapper {
    int countByExample(TradeMchInfoExample example);

    int deleteByExample(TradeMchInfoExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(TradeMchInfo record);

    int insertSelective(TradeMchInfo record);

    List<TradeMchInfo> selectByExample(TradeMchInfoExample example);

    TradeMchInfo selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") TradeMchInfo record, @Param("example") TradeMchInfoExample example);

    int updateByExample(@Param("record") TradeMchInfo record, @Param("example") TradeMchInfoExample example);

    int updateByPrimaryKeySelective(TradeMchInfo record);

    int updateByPrimaryKey(TradeMchInfo record);

    void batchInsert(@Param("items") List<TradeMchInfo> items);
}